Config Inspection

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Config Inspection 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

VersionStatusSupported Until
1.0SUPPORTED20260531
1.1CURRENT-

OpenAPI URL

https://configinspection.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Create Config Inspection

1.1.1 - 1.1

post /v1/configinspection/diagnosis/save

Description

진단 상품 생성

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisObjectRequest

Responses

HTTP CodeDescriptionSchema
201CreatedConfigInspectionCreateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/save

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.1"

Request body

{
    "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "auth_key_request": {
        "auth_key_created_at": "2022-01-01 12:00:00",
        "auth_key_expired_at": "2023-01-01 12:00:00",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097"
    },
    "csp_type": "SCP",
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_type": "Console",
    "plan_type": "STANDARD",
    "schedule_request": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "tags": []
}

Example HTTP response

Response 201

{
    "diagnosis_id": "Sample Diagnosis Name",
    "result": true
}

1.1.2 - 1.0

post /v1/configinspection/diagnosis/save

Description

진단 상품 생성

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisObjectRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/save

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Request body

{
    "account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "auth_key_request": {
        "auth_key_created_at": "2022-01-01 12:00:00",
        "auth_key_expired_at": "2023-01-01 12:00:00",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097"
    },
    "csp_type": "SCP",
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_type": "Console",
    "plan_type": "STANDARD",
    "schedule_request": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "tags": []
}

Example HTTP response

Response 201

{
    "result": true
}

1.2 - Delete Config Inspection

1.2.1 - 1.1

delete /v1/configinspection/diagnosis/terminate/{diagnosis_id}

Description

config inspection 목록 가져오기

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
진단 ID
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKTerminateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/terminate/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "delete_flag": true,
    "msg": "Delete success"
}

1.2.2 - 1.0

delete /v1/configinspection/diagnosis/terminate/{diagnosis_id}

Description

config inspection 목록 가져오기

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
진단 ID
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKTerminateResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/terminate/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "delete_flag": true,
    "msg": "Delete success"
}

1.3 - Diagnosis Request

1.3.1 - 1.1

post /v1/configinspection/diagnosis/request

Description

진단 요청

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.1"

Request body

{
    "access_key": "SAMPLE KEY",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "secret_key": "SAMPLE KEY",
    "tenant_id": "1234567890"
}

Example HTTP response

Response 201

{
    "result": true
}

1.3.2 - 1.0

post /v1/configinspection/diagnosis/request

Description

진단 요청

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DiagnosisRequest

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Request body

{
    "access_key": "SAMPLE KEY",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "secret_key": "SAMPLE KEY",
    "tenant_id": "1234567890"
}

Example HTTP response

Response 201

{
    "result": true
}

1.4 - Disgnosis Response

1.4.1 - 1.1

post /v1/configinspection/diagnosis/response

Description

진단 요청

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ConfigInspectionLookinResponse

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/response

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.1"

Request body

{
    "requestNumber": "",
    "systemId": "",
    "targets": {
        "cloudAccountId": "",
        "cspCd": "",
        "cspConsoleCd": "",
        "error": {
            "message": "",
            "type": ""
        },
        "kind": "",
        "result": [],
        "status": "",
        "version": ""
    }
}

Example HTTP response

Response 201

{
    "result": true
}

1.4.2 - 1.0

post /v1/configinspection/diagnosis/response

Description

진단 요청

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ConfigInspectionLookinResponse

Responses

HTTP CodeDescriptionSchema
201CreatedCheckResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/response

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Request body

{
    "requestNumber": "",
    "systemId": "",
    "targets": {
        "cloudAccountId": "",
        "cspCd": "",
        "cspConsoleCd": "",
        "error": {
            "message": "",
            "type": ""
        },
        "kind": "",
        "result": [],
        "status": "",
        "version": ""
    }
}

Example HTTP response

Response 201

{
    "result": true
}

1.5 - Get Diagnosis Object Detail

1.5.1 - 1.1

get /v1/configinspection/diagnosis/detail/{diagnosis_id}

Description

진단 결과 세부 정보 가져오기

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
진단 ID
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisObjectDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/detail/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "auth_key_responses": {
        "auth_key_created_at": "2022-01-01T12:00:00Z",
        "auth_key_expired_at": "2022-01-01T12:00:00Z",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "auth_key_state": "ACTIVATED",
        "user_id": "4f5d60e9e08b48d0a0881e21ab14e266"
    },
    "schedule_response": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "summary_responses": {
        "created_at": "2022-01-01T12:00:00Z",
        "csp_type": "SCP",
        "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "diagnosis_check_type": "BP",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_name": "Sample Diagnosis Name",
        "diagnosis_type": "Console",
        "error_state": "CONNECTION_FAIL",
        "plan_type": "STANDARD",
        "recent_diagnosis_at": "2022-01-01T12:00:00Z",
        "recent_diagnosis_state": "Completed"
    }
}

1.5.2 - 1.0

get /v1/configinspection/diagnosis/detail/{diagnosis_id}

Description

진단 결과 세부 정보 가져오기

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathdiagnosis_id
required
진단 ID
Example : Sample Diagnosis Name
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisObjectDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/detail/{diagnosis_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "auth_key_responses": {
        "auth_key_created_at": "2022-01-01T12:00:00Z",
        "auth_key_expired_at": "2022-01-01T12:00:00Z",
        "auth_key_id": "9b72a9856e494e67afc69atd3631fe38",
        "auth_key_state": "ACTIVATED",
        "user_id": "4f5d60e9e08b48d0a0881e21ab14e266"
    },
    "schedule_response": {
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_start_time_pattern": "08:00",
        "frequency_type": "MONTH",
        "frequency_value": "1",
        "use_diagnosis_check_type_bp": "y",
        "use_diagnosis_check_type_ssi": "y"
    },
    "summary_responses": {
        "created_at": "2022-01-01T12:00:00Z",
        "csp_type": "SCP",
        "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
        "diagnosis_check_type": "BP",
        "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
        "diagnosis_name": "Sample Diagnosis Name",
        "diagnosis_type": "Console",
        "error_state": "CONNECTION_FAIL",
        "plan_type": "STANDARD",
        "recent_diagnosis_at": "2022-01-01T12:00:00Z",
        "recent_diagnosis_state": "Completed"
    }
}

1.6 - Get Diagnosis Result Detail

1.6.1 - 1.1

get /v1/configinspection/report/diagnosis/detail

Description

진단 결과 세부 정보 가져오기

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydiagnosis_id
required
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
stringNone
querydiagnosis_request_sequence
required
진단 요청 Sequence
Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/detail?diagnosis_id={diagnosis_id}&diagnosis_request_sequence={diagnosis_request_sequence}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "checklist_name": "Sample Checklist",
    "count": 20,
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_request_sequence": "SCPCIS-E75FD21CA524441C9C1B1B381D5974F7",
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "proceed_date": "2026-02-11T06:41:21.874Z",
    "result_detail_list": [
        {
            "action_guide": "원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.",
            "changed": true,
            "diagnosis_check_type": "BP",
            "diagnosis_criteria": "【 Security Group 규칙 】\r\n① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.",
            "diagnosis_item": "2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.",
            "diagnosis_layer": "2.NETWORK",
            "diagnosis_method": "Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.",
            "diagnosis_result": "03",
            "result_contents": "상세 내역",
            "sub_category": "NURIBP_SCP_02.NW_004"
        }
    ],
    "total": 10
}

1.6.2 - 1.0

get /v1/configinspection/report/diagnosis/detail

Description

진단 결과 세부 정보 가져오기

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querydiagnosis_id
required
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
stringNone
querydiagnosis_request_sequence
required
진단 요청 Sequence
Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
stringNone

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultDetailResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/detail?diagnosis_id={diagnosis_id}&diagnosis_request_sequence={diagnosis_request_sequence}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "checklist_name": "Sample Checklist",
    "count": 20,
    "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
    "diagnosis_check_type": "BP",
    "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
    "diagnosis_name": "Sample Diagnosis Name",
    "diagnosis_request_sequence": "SCPCIS-E75FD21CA524441C9C1B1B381D5974F7",
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "proceed_date": "2026-02-11T06:41:21.874Z",
    "result_detail_list": [
        {
            "action_guide": "원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.",
            "changed": true,
            "diagnosis_check_type": "BP",
            "diagnosis_criteria": "【 Security Group 규칙 】\r\n① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.",
            "diagnosis_item": "2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.",
            "diagnosis_layer": "2.NETWORK",
            "diagnosis_method": "Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.",
            "diagnosis_result": "03",
            "result_contents": "상세 내역",
            "sub_category": "NURIBP_SCP_02.NW_004"
        }
    ],
    "total": 10
}

1.7 - List Config Inspection

1.7.1 - 1.1

get /v1/configinspection/diagnosis/list

Description

config inspection 목록 가져오기

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
나의 Config Inspection
Example : False
booleanFalse
querydiagnosis_id
optional
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
진단명
Example : My Diagnosis
any of [string, null]None
querycsp_type
optional
클라우드 서비스 제공자의 유형
Example : SCP
any of [string, null]None
querydiagnosis_account_id
optional
진단 ID
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
queryrecent_diagnosis_state
optional
최근 진단 상태
Example : Completed
any of [array[string], null]None
querystart_date
optional
시작일
Example : 2022-01-01 12:00:00
any of [string, null]None
queryend_date
optional
종료일
Example : 2022-01-02 12:00:00
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKConfigInspectionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "summary_responses": [
        {
            "created_at": "2022-01-01T12:00:00Z",
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_type": "Console",
            "error_state": "CONNECTION_FAIL",
            "plan_type": "STANDARD",
            "recent_diagnosis_at": "2022-01-01T12:00:00Z",
            "recent_diagnosis_state": "Completed"
        }
    ]
}

1.7.2 - 1.0

get /v1/configinspection/diagnosis/list

Description

config inspection 목록 가져오기

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryisMine
optional
나의 Config Inspection
Example : False
booleanFalse
querydiagnosis_id
optional
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
진단명
Example : My Diagnosis
any of [string, null]None
querycsp_type
optional
클라우드 서비스 제공자의 유형
Example : SCP
any of [string, null]None
querydiagnosis_account_id
optional
진단 ID
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
queryrecent_diagnosis_state
optional
최근 진단 상태
Example : Completed
any of [array[string], null]None
querystart_date
optional
시작일
Example : 2022-01-01 12:00:00
any of [string, null]None
queryend_date
optional
종료일
Example : 2022-01-02 12:00:00
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKConfigInspectionListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "summary_responses": [
        {
            "created_at": "2022-01-01T12:00:00Z",
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_type": "Console",
            "error_state": "CONNECTION_FAIL",
            "plan_type": "STANDARD",
            "recent_diagnosis_at": "2022-01-01T12:00:00Z",
            "recent_diagnosis_state": "Completed"
        }
    ]
}

1.8 - List Diagnosis Result

1.8.1 - 1.1

get /v1/configinspection/report/diagnosis/list

Description

진단 결과 목록 가져오기

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
진단 계정
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
querydiagnosis_id
optional
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
진단명
Example : Sample Diagnosis Name
any of [string, null]None
querystart_date
optional
시작일
Example : 2022-01-01
any of [string, null]None
queryend_date
optional
종료일
Example : 2022-12-31
any of [string, null]None
querycsp_type
optional
클라우드 서비스 제공자의 유형
Example : SCP
any of [string, null]None
querydiagnosis_state
optional
진단 상태
Example : Completed
any of [string, null]None
queryuser_id
optional
사용자 ID
Example : 76b563a009584b1380715c00703a02ff
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "diagnosis_result_responses": [
        {
            "count_check": 10,
            "count_error": 0,
            "count_fail": 3,
            "count_na": 2,
            "count_pass": 5,
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_request_sequence": "1234567890",
            "diagnosis_result": "SUCCESS",
            "diagnosis_total_count": 10,
            "proceed_date": "2022-01-01T12:00:00Z",
            "total": 10
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

1.8.2 - 1.0

get /v1/configinspection/report/diagnosis/list

Description

진단 결과 목록 가져오기

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
진단 계정
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
any of [string, null]None
querydiagnosis_id
optional
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]None
querydiagnosis_name
optional
진단명
Example : Sample Diagnosis Name
any of [string, null]None
querystart_date
optional
시작일
Example : 2022-01-01
any of [string, null]None
queryend_date
optional
종료일
Example : 2022-12-31
any of [string, null]None
querycsp_type
optional
클라우드 서비스 제공자의 유형
Example : SCP
any of [string, null]None
querydiagnosis_state
optional
진단 상태
Example : Completed
any of [string, null]None
queryuser_id
optional
사용자 ID
Example : 76b563a009584b1380715c00703a02ff
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKDiagnosisResultListResponse
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/configinspection/report/diagnosis/list

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = configinspection 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "diagnosis_result_responses": [
        {
            "count_check": 10,
            "count_error": 0,
            "count_fail": 3,
            "count_na": 2,
            "count_pass": 5,
            "csp_type": "SCP",
            "diagnosis_account_id": "0e3dffc50eb247a1adf4f2e5c82c4f99",
            "diagnosis_check_type": "BP",
            "diagnosis_id": "DIA-943731CB8E3045C289BAECAEC3532097",
            "diagnosis_name": "Sample Diagnosis Name",
            "diagnosis_request_sequence": "1234567890",
            "diagnosis_result": "SUCCESS",
            "diagnosis_total_count": 10,
            "proceed_date": "2022-01-01T12:00:00Z",
            "total": 10
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ]
}

2 - Models

2.1 - AuthKeyRequest

NameDescriptionSchemaDefault
auth_key_created_at
optional
인증 키 생성 날짜
Example : 2022-01-01 12:00:00
any of [string, null]
auth_key_expired_at
optional
인증 키 만료 날짜
Example : 2023-01-01 12:00:00
any of [string, null]
auth_key_id
required
인증키 ID
Example : 9b72a9856e494e67afc69atd3631fe38
string
diagnosis_id
optional
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
any of [string, null]

2.2 - AuthKeyResponse

NameDescriptionSchemaDefault
auth_key_created_at
optional
인증 키 생성 날짜
Example : 2022-01-01T12:00:00Z
string
auth_key_expired_at
optional
인증 키 만료 날짜
Example : 2022-01-01T12:00:00Z
string
auth_key_id
optional
인증키 ID
Example : 9b72a9856e494e67afc69atd3631fe38
string
auth_key_state
optional
인증키 상태
Example : ACTIVATED
string
user_id
optional
사용자 ID
Example : 4f5d60e9e08b48d0a0881e21ab14e266
string

2.3 - CheckResponse

NameDescriptionSchemaDefault
result
required
True, False 체크
Example : True
boolean

2.4 - ConfigInspectionCreateResponse

NameDescriptionSchemaDefault
diagnosis_id
required
진단 ID
Example : Sample Diagnosis Name
string
result
required
True, False 체크
Example : True
boolean

2.5 - ConfigInspectionListResponse

NameDescriptionSchemaDefault
count
optional
전체 개수
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
summary_responses
required

array[SummaryResponse]

2.6 - ConfigInspectionLookinError

NameDescriptionSchemaDefault
message
optional

Example :
string
type
optional

Example :
string

2.7 - ConfigInspectionLookinResponse

NameDescriptionSchemaDefault
requestNumber
required

Example :
string
systemId
required

Example :
string
targets
required

ConfigInspectionLookinTarget

2.8 - ConfigInspectionLookinResult

NameDescriptionSchemaDefault
current
optional

Example :
string
itemCode
required

Example :
string
verify
optional

Example :
string

2.9 - ConfigInspectionLookinTarget

NameDescriptionSchemaDefault
cloudAccountId
required

Example :
string
cspCd
required

Example :
string
cspConsoleCd
required

Example :
string
error
optional

any of [ConfigInspectionLookinError, null]
kind
optional

Example :
string
result
optional

array[ConfigInspectionLookinResult]
status
optional

Example :
string
version
optional

Example :
string

2.10 - DiagnosisObjectDetailResponse

NameDescriptionSchemaDefault
auth_key_responses
required

AuthKeyResponse
schedule_response
required

DiagnosisScheduleResponse
summary_responses
required

SummaryResponse

2.11 - DiagnosisObjectRequest

NameDescriptionSchemaDefault
account_id
required
진단 계정
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
auth_key_request
required

AuthKeyRequest
csp_type
required
클라우드 서비스 제공자의 유형
Example : SCP
string
diagnosis_account_id
required
진단 ID
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
diagnosis_check_type
required
진단 체크리스트
Example : BP
string
diagnosis_id
required
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_name
required
진단명
Example : Sample Diagnosis Name
Pattern : ^[a-zA-Z0-9-_]+$
Maximum length : 25
string
diagnosis_type
required
진단 유형
Example : Console
string
plan_type
required
요금제
Example : STANDARD
string
schedule_request
required

DiagnosisScheduleRequest
tags
optional
Tag List
array[Tag]

2.12 - DiagnosisRequest

NameDescriptionSchemaDefault
access_key
required
Access Key
Example : SAMPLE KEY
string
diagnosis_check_type
required
진단 체크리스트
Example : BP
string
diagnosis_id
required
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
secret_key
required
Secret Key
Example : SAMPLE KEY
string
tenant_id
required
Tenant ID
Example : 1234567890
string

2.13 - DiagnosisResultDetail

NameDescriptionSchemaDefault
action_guide
required
조치 가이드
Example : 원격 접속 Port에 Source IP가 ANY(0.0.0.0/0)로 등록되어있거나 과도하게 허용된 Security Group 규칙은 아래와 같이 삭제합니다.
string
changed
required
관리결과 변경 여부
Example : True
any of [boolean, null]
diagnosis_check_type
required
진단 체크리스트
Example : BP
string
diagnosis_criteria
required
진단 기준
Example : `【 Security Group 규칙 】
① 원격접속 Port에 Any IP 접근을 허용하는 규칙이 존재하지 않아야 합니다.`
string
diagnosis_item
required
진단 항목
Example : 2.NW_003. 프로토콜 별 원격접속 Port는 접근이 필요한 IP를 지정하여 접속을 허용해야 합니다.
string
diagnosis_layer
required
영역
Example : 2.NETWORK
string
diagnosis_method
required
진단 방법
Example : Security Group의 Inbound 규칙에 원격 접속이 필요한 사용자나 시스템만 접근을 허용하는 규칙을 등록 하였는지 확인합니다.
string
diagnosis_result
required
확인결과 상태
Example : 03
string
result_contents
required
상세 결과
Example : 상세 내역
string
sub_category
required
Sub Category
Example : NURIBP_SCP_02.NW_004
any of [string, null]

2.14 - DiagnosisResultDetailResponse

NameDescriptionSchemaDefault
checklist_name
required
체크리스트 이름
Example : Sample Checklist
string
count
optional
전체 개수
Example : 20
any of [integer, null]
diagnosis_account_id
required
진단 ID
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
diagnosis_check_type
required
진단 체크리스트
Example : BP
string
diagnosis_id
required
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_name
required
진단명
Example : Sample Diagnosis Name
string
diagnosis_request_sequence
required
진단 요청 Sequence
Example : SCPCIS-E75FD21CA524441C9C1B1B381D5974F7
string
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
proceed_date
optional
진단 일자
Example : 2026-02-11T06:41:21.874Z
string (date-time)
result_detail_list
required

array[DiagnosisResultDetail]
total
required
전체 개수
Example : 10
integer

2.15 - DiagnosisResultListResponse

NameDescriptionSchemaDefault
count
optional
전체 개수
Example : 20
any of [integer, null]
diagnosis_result_responses
required

array[DiagnosisResultResponse]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]

2.16 - DiagnosisResultResponse

NameDescriptionSchemaDefault
count_check
optional
check 개수
Example : 10
integer
count_error
optional
error 개수
Example : 0
integer
count_fail
optional
fail 개수
Example : 3
integer
count_na
optional
na 개수
Example : 2
integer
count_pass
optional
pass 개수
Example : 5
integer
csp_type
optional
클라우드 서비스 제공자의 유형
Example : SCP
string
diagnosis_account_id
optional
진단 ID
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
diagnosis_check_type
optional
진단 체크리스트
Example : BP
string
diagnosis_id
optional
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_name
optional
진단명
Example : Sample Diagnosis Name
string
diagnosis_request_sequence
optional
진단 요청 Sequence
Example : 1234567890
string
diagnosis_result
optional
진단 결과
Example : SUCCESS
string
diagnosis_total_count
optional
총 개수
Example : 10
integer
proceed_date
optional
진단 일자
Example : 2022-01-01T12:00:00Z
string (date-time)
total
optional
전체 개수
Example : 10
integer

2.17 - DiagnosisScheduleRequest

NameDescriptionSchemaDefault
diagnosis_id
required
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_start_time_pattern
required
시작 시간( 5분 단위, 00 to 23 시, 00 to 55 분 )
Example : 08:00
string
frequency_type
required
스케줄 유형(매월, 매주, 매일)
Example : MONTH
string
frequency_value
required
스케줄 진단 주기 value(01~31, 월~일, 매일)
Example : 1
string
use_diagnosis_check_type_bp
required
체크리스트 Best Practice 사용 여부
Example : y
string
use_diagnosis_check_type_ssi
required
체크리스트 SSI 사용 여부
Example : y
string

2.18 - DiagnosisScheduleResponse

NameDescriptionSchemaDefault
diagnosis_id
optional
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_start_time_pattern
optional
시작 시간( 5분 단위, 00 to 23 시, 00 to 55 분 )
Example : 08:00
string
frequency_type
optional
스케줄 유형(매월, 매주, 매일)
Example : MONTH
string
frequency_value
optional
스케줄 진단 주기 value(01~31, 월~일, 매일)
Example : 1
string
use_diagnosis_check_type_bp
optional
체크리스트 Best Practice 사용 여부
Example : y
string
use_diagnosis_check_type_ssi
optional
체크리스트 SSI 사용 여부
Example : y
string

2.19 - SummaryResponse

NameDescriptionSchemaDefault
created_at
required
생성일시
Example : 2022-01-01T12:00:00Z
string (date-time)
csp_type
required
클라우드 서비스 제공자의 유형
Example : SCP
string
diagnosis_account_id
required
진단 ID
Example : 0e3dffc50eb247a1adf4f2e5c82c4f99
string
diagnosis_check_type
required
진단 체크리스트
Example : BP
string
diagnosis_id
required
진단 ID
Example : DIA-943731CB8E3045C289BAECAEC3532097
string
diagnosis_name
required
진단명
Example : Sample Diagnosis Name
string
diagnosis_type
required
진단 유형
Example : Console
string
error_state
optional
최근 진단 오류 타입
Example : CONNECTION_FAIL
any of [string, null]
plan_type
required
요금제
Example : STANDARD
string
recent_diagnosis_at
optional
최근 진단 일시
Example : 2022-01-01T12:00:00Z
any of [string (date-time), null]
recent_diagnosis_state
optional
최근 진단 상태
Example : Completed
any of [string, null]

2.20 - Tag

NameDescriptionSchemaDefault
key
required
tag key
Example :
string
value
required
tag value
Example :
string

2.21 - TerminateResponse

NameDescriptionSchemaDefault
delete_flag
required
True, False 체크
Example : True
boolean
msg
required
삭제 메시지
Example : Delete success
string